{"swagger":"2.0","info":{"description":"API do PJe - Criminal","version":"2.0","title":"PJe - Criminal","termsOfService":"TERMS OF SERVICE URL","contact":{"name":"Conselho Nacional de Justiça","url":"https://www.cnj.jus.br"}},"host":"gateway.stg.cloud.pje.jus.br","basePath":"/criminal/","tags":[{"name":"dispositivo-rest-controller-impl","description":"Dispositivo Rest Controller Impl"},{"name":"endereco-rest-controller-impl","description":"Endereco Rest Controller Impl"},{"name":"medida-socioeducativa-rest-controller-impl","description":"Medida Socioeducativa Rest Controller Impl"},{"name":"motivo-extincao-medida-socioeducativa-rest-controller-impl","description":"Motivo Extincao Medida Socioeducativa Rest Controller Impl"},{"name":"motivo-internacao-provisoria-rest-controller-impl","description":"Motivo Internacao Provisoria Rest Controller Impl"},{"name":"motivo-prisao-rest-controller-impl","description":"Motivo Prisao Rest Controller Impl"},{"name":"motivo-retorno-evasao-rest-controller-impl","description":"Motivo Retorno Evasao Rest Controller Impl"},{"name":"motivo-soltura-rest-controller-impl","description":"Motivo Soltura Rest Controller Impl"},{"name":"norma-rest-controller-impl","description":"Norma Rest Controller Impl"},{"name":"orgao-procedimento-originario-rest-controller-impl","description":"Orgao Procedimento Originario Rest Controller Impl"},{"name":"processo-rest-controller","description":"Processo Rest Controller"},{"name":"tipo-evento-criminal-rest-controller-impl","description":"Tipo Evento Criminal Rest Controller Impl"},{"name":"tipo-internacao-rest-controller-impl","description":"Tipo Internacao Rest Controller Impl"},{"name":"tipo-origem-rest-controller-impl","description":"Tipo Origem Rest Controller Impl"},{"name":"tipo-prisao-rest-controller-impl","description":"Tipo Prisao Rest Controller Impl"},{"name":"tipo-procedimento-origem-rest-controller-impl","description":"Tipo Procedimento Origem Rest Controller Impl"},{"name":"tipo-recurso-rest-controller-impl","description":"Tipo Recurso Rest Controller Impl"},{"name":"tipo-remissao-controller-impl","description":"Tipo Remissao Controller Impl"},{"name":"usuario-autenticado-rest-controller-impl","description":"Usuario Autenticado Rest Controller Impl"}],"paths":{"/api/v2/dispositivos":{"get":{"tags":["dispositivo-rest-controller-impl"],"summary":"pesquisarRecurso","operationId":"pesquisarRecursoUsingGET","produces":["application/json"],"parameters":[{"name":"simpleFilter","in":"query","description":"simpleFilter","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«Page«Dispositivo»»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"post":{"tags":["dispositivo-rest-controller-impl"],"summary":"criarRecurso","operationId":"criarRecursoUsingPOST","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"recurso","description":"recurso","required":true,"schema":{"$ref":"#/definitions/Dispositivo"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«Dispositivo»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/dispositivos/{idRecurso}":{"get":{"tags":["dispositivo-rest-controller-impl"],"summary":"recuperarRecurso","operationId":"recuperarRecursoUsingGET","produces":["application/json"],"parameters":[{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«Dispositivo»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"put":{"tags":["dispositivo-rest-controller-impl"],"summary":"alterarRecurso","operationId":"alterarRecursoUsingPUT","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"recurso","description":"recurso","required":true,"schema":{"$ref":"#/definitions/Dispositivo"}},{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«Dispositivo»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"delete":{"tags":["dispositivo-rest-controller-impl"],"summary":"inativarRecurso","operationId":"inativarRecursoUsingDELETE","produces":["application/json"],"parameters":[{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«Dispositivo»"}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}}}},"/api/v2/estados":{"get":{"tags":["endereco-rest-controller-impl"],"summary":"recuperarEstados","operationId":"recuperarEstadosUsingGET","produces":["application/json"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«Array«EstadosBrasileirosEnum»»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/medidas-socioeducativas":{"get":{"tags":["medida-socioeducativa-rest-controller-impl"],"summary":"pesquisarRecurso","operationId":"pesquisarRecursoUsingGET_1","produces":["application/json"],"parameters":[{"name":"simpleFilter","in":"query","description":"simpleFilter","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«Page«MedidaSocioeducativa»»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"post":{"tags":["medida-socioeducativa-rest-controller-impl"],"summary":"criarRecurso","operationId":"criarRecursoUsingPOST_1","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"recurso","description":"recurso","required":true,"schema":{"$ref":"#/definitions/MedidaSocioeducativa"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«MedidaSocioeducativa»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/medidas-socioeducativas/count":{"get":{"tags":["medida-socioeducativa-rest-controller-impl"],"summary":"countMedidasSocioeducativas","operationId":"countMedidasSocioeducativasUsingGET","produces":["application/json"],"responses":{"200":{"description":"OK","schema":{"type":"integer","format":"int64"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"post":{"tags":["medida-socioeducativa-rest-controller-impl"],"summary":"countMedidasSocioeducativas","operationId":"countMedidasSocioeducativasUsingPOST","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"medidaSocioeducativa","description":"medidaSocioeducativa","required":true,"schema":{"$ref":"#/definitions/MedidaSocioeducativa"}}],"responses":{"200":{"description":"OK","schema":{"type":"integer","format":"int64"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/medidas-socioeducativas/pesquisar":{"post":{"tags":["medida-socioeducativa-rest-controller-impl"],"summary":"recuperarMedidasSocioeducativasPorPagina","operationId":"recuperarMedidasSocioeducativasPorPaginaUsingPOST","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"medidaSocioeducativa","description":"medidaSocioeducativa","required":true,"schema":{"$ref":"#/definitions/MedidaSocioeducativa"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Page«MedidaSocioeducativa»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/medidas-socioeducativas/{idRecurso}":{"get":{"tags":["medida-socioeducativa-rest-controller-impl"],"summary":"recuperarRecurso","operationId":"recuperarRecursoUsingGET_1","produces":["application/json"],"parameters":[{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«MedidaSocioeducativa»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"put":{"tags":["medida-socioeducativa-rest-controller-impl"],"summary":"alterarRecurso","operationId":"alterarRecursoUsingPUT_1","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"recurso","description":"recurso","required":true,"schema":{"$ref":"#/definitions/MedidaSocioeducativa"}},{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«MedidaSocioeducativa»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"delete":{"tags":["medida-socioeducativa-rest-controller-impl"],"summary":"inativarRecurso","operationId":"inativarRecursoUsingDELETE_1","produces":["application/json"],"parameters":[{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«MedidaSocioeducativa»"}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}}}},"/api/v2/motivos-extincao-medida-socioeducativa":{"get":{"tags":["motivo-extincao-medida-socioeducativa-rest-controller-impl"],"summary":"pesquisarRecurso","operationId":"pesquisarRecursoUsingGET_2","produces":["application/json"],"parameters":[{"name":"simpleFilter","in":"query","description":"simpleFilter","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«Page«MotivoExtincaoMedidaSocioeducativa»»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"post":{"tags":["motivo-extincao-medida-socioeducativa-rest-controller-impl"],"summary":"criarRecurso","operationId":"criarRecursoUsingPOST_2","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"recurso","description":"recurso","required":true,"schema":{"$ref":"#/definitions/MotivoExtincaoMedidaSocioeducativa"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«MotivoExtincaoMedidaSocioeducativa»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/motivos-extincao-medida-socioeducativa/count":{"get":{"tags":["motivo-extincao-medida-socioeducativa-rest-controller-impl"],"summary":"countMotivosExtincaoMedidaSocioeducativa","operationId":"countMotivosExtincaoMedidaSocioeducativaUsingGET","produces":["application/json"],"responses":{"200":{"description":"OK","schema":{"type":"integer","format":"int64"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"post":{"tags":["motivo-extincao-medida-socioeducativa-rest-controller-impl"],"summary":"countMotivosExtincaoMedidaSocioeducativa","operationId":"countMotivosExtincaoMedidaSocioeducativaUsingPOST","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"motivoExtincaoMedidaSocioeducativa","description":"motivoExtincaoMedidaSocioeducativa","required":true,"schema":{"$ref":"#/definitions/MotivoExtincaoMedidaSocioeducativa"}}],"responses":{"200":{"description":"OK","schema":{"type":"integer","format":"int64"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/motivos-extincao-medida-socioeducativa/pesquisar":{"post":{"tags":["motivo-extincao-medida-socioeducativa-rest-controller-impl"],"summary":"recuperarMotivosExtincaoMedidaSocioeducativaPorPagina","operationId":"recuperarMotivosExtincaoMedidaSocioeducativaPorPaginaUsingPOST","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"motivoExtincaoMedidaSocioeducativa","description":"motivoExtincaoMedidaSocioeducativa","required":true,"schema":{"$ref":"#/definitions/MotivoExtincaoMedidaSocioeducativa"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Page«MotivoExtincaoMedidaSocioeducativa»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/motivos-extincao-medida-socioeducativa/{idRecurso}":{"get":{"tags":["motivo-extincao-medida-socioeducativa-rest-controller-impl"],"summary":"recuperarRecurso","operationId":"recuperarRecursoUsingGET_2","produces":["application/json"],"parameters":[{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«MotivoExtincaoMedidaSocioeducativa»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"put":{"tags":["motivo-extincao-medida-socioeducativa-rest-controller-impl"],"summary":"alterarRecurso","operationId":"alterarRecursoUsingPUT_2","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"recurso","description":"recurso","required":true,"schema":{"$ref":"#/definitions/MotivoExtincaoMedidaSocioeducativa"}},{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«MotivoExtincaoMedidaSocioeducativa»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"delete":{"tags":["motivo-extincao-medida-socioeducativa-rest-controller-impl"],"summary":"inativarRecurso","operationId":"inativarRecursoUsingDELETE_2","produces":["application/json"],"parameters":[{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«MotivoExtincaoMedidaSocioeducativa»"}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}}}},"/api/v2/motivos-internacao-provisoria":{"get":{"tags":["motivo-internacao-provisoria-rest-controller-impl"],"summary":"pesquisarRecurso","operationId":"pesquisarRecursoUsingGET_3","produces":["application/json"],"parameters":[{"name":"simpleFilter","in":"query","description":"simpleFilter","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«Page«MotivoInternacaoProvisoria»»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"post":{"tags":["motivo-internacao-provisoria-rest-controller-impl"],"summary":"criarRecurso","operationId":"criarRecursoUsingPOST_3","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"recurso","description":"recurso","required":true,"schema":{"$ref":"#/definitions/MotivoInternacaoProvisoria"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«MotivoInternacaoProvisoria»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/motivos-internacao-provisoria/count":{"get":{"tags":["motivo-internacao-provisoria-rest-controller-impl"],"summary":"countMotivosInternacaoProvisoria","operationId":"countMotivosInternacaoProvisoriaUsingGET","produces":["application/json"],"responses":{"200":{"description":"OK","schema":{"type":"integer","format":"int64"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"post":{"tags":["motivo-internacao-provisoria-rest-controller-impl"],"summary":"countMotivosInternacaoProvisoria","operationId":"countMotivosInternacaoProvisoriaUsingPOST","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"motivoInternacaoProvisoria","description":"motivoInternacaoProvisoria","required":true,"schema":{"$ref":"#/definitions/MotivoInternacaoProvisoria"}}],"responses":{"200":{"description":"OK","schema":{"type":"integer","format":"int64"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/motivos-internacao-provisoria/pesquisar":{"post":{"tags":["motivo-internacao-provisoria-rest-controller-impl"],"summary":"recuperarMotivosInternacaoProvisoriaPorPagina","operationId":"recuperarMotivosInternacaoProvisoriaPorPaginaUsingPOST","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"motivoInternacaoProvisoria","description":"motivoInternacaoProvisoria","required":true,"schema":{"$ref":"#/definitions/MotivoInternacaoProvisoria"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Page«MotivoInternacaoProvisoria»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/motivos-internacao-provisoria/{idRecurso}":{"get":{"tags":["motivo-internacao-provisoria-rest-controller-impl"],"summary":"recuperarRecurso","operationId":"recuperarRecursoUsingGET_3","produces":["application/json"],"parameters":[{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«MotivoInternacaoProvisoria»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"put":{"tags":["motivo-internacao-provisoria-rest-controller-impl"],"summary":"alterarRecurso","operationId":"alterarRecursoUsingPUT_3","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"recurso","description":"recurso","required":true,"schema":{"$ref":"#/definitions/MotivoInternacaoProvisoria"}},{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«MotivoInternacaoProvisoria»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"delete":{"tags":["motivo-internacao-provisoria-rest-controller-impl"],"summary":"inativarRecurso","operationId":"inativarRecursoUsingDELETE_3","produces":["application/json"],"parameters":[{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«MotivoInternacaoProvisoria»"}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}}}},"/api/v2/motivos-prisoes":{"get":{"tags":["motivo-prisao-rest-controller-impl"],"summary":"pesquisarRecurso","operationId":"pesquisarRecursoUsingGET_4","produces":["application/json"],"parameters":[{"name":"simpleFilter","in":"query","description":"simpleFilter","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«Page«MotivoPrisao»»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"post":{"tags":["motivo-prisao-rest-controller-impl"],"summary":"criarRecurso","operationId":"criarRecursoUsingPOST_4","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"recurso","description":"recurso","required":true,"schema":{"$ref":"#/definitions/MotivoPrisao"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«MotivoPrisao»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/motivos-prisoes/{idRecurso}":{"get":{"tags":["motivo-prisao-rest-controller-impl"],"summary":"recuperarRecurso","operationId":"recuperarRecursoUsingGET_4","produces":["application/json"],"parameters":[{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«MotivoPrisao»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"put":{"tags":["motivo-prisao-rest-controller-impl"],"summary":"alterarRecurso","operationId":"alterarRecursoUsingPUT_4","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"recurso","description":"recurso","required":true,"schema":{"$ref":"#/definitions/MotivoPrisao"}},{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«MotivoPrisao»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"delete":{"tags":["motivo-prisao-rest-controller-impl"],"summary":"inativarRecurso","operationId":"inativarRecursoUsingDELETE_4","produces":["application/json"],"parameters":[{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«MotivoPrisao»"}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}}}},"/api/v2/motivos-retorno-evasao":{"get":{"tags":["motivo-retorno-evasao-rest-controller-impl"],"summary":"pesquisarRecurso","operationId":"pesquisarRecursoUsingGET_5","produces":["application/json"],"parameters":[{"name":"simpleFilter","in":"query","description":"simpleFilter","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«Page«MotivoRetornoEvasao»»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"post":{"tags":["motivo-retorno-evasao-rest-controller-impl"],"summary":"criarRecurso","operationId":"criarRecursoUsingPOST_5","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"recurso","description":"recurso","required":true,"schema":{"$ref":"#/definitions/MotivoRetornoEvasao"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«MotivoRetornoEvasao»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/motivos-retorno-evasao/count":{"get":{"tags":["motivo-retorno-evasao-rest-controller-impl"],"summary":"countMotivosRetornoEvasao","operationId":"countMotivosRetornoEvasaoUsingGET","produces":["application/json"],"responses":{"200":{"description":"OK","schema":{"type":"integer","format":"int64"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"post":{"tags":["motivo-retorno-evasao-rest-controller-impl"],"summary":"countMotivosRetornoEvasao","operationId":"countMotivosRetornoEvasaoUsingPOST","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"motivoRetornoEvasao","description":"motivoRetornoEvasao","required":true,"schema":{"$ref":"#/definitions/MotivoRetornoEvasao"}}],"responses":{"200":{"description":"OK","schema":{"type":"integer","format":"int64"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/motivos-retorno-evasao/pesquisar":{"post":{"tags":["motivo-retorno-evasao-rest-controller-impl"],"summary":"recuperarMotivosRetornoEvasaoPorPagina","operationId":"recuperarMotivosRetornoEvasaoPorPaginaUsingPOST","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"motivoRetornoEvasao","description":"motivoRetornoEvasao","required":true,"schema":{"$ref":"#/definitions/MotivoRetornoEvasao"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Page«MotivoRetornoEvasao»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/motivos-retorno-evasao/{idRecurso}":{"get":{"tags":["motivo-retorno-evasao-rest-controller-impl"],"summary":"recuperarRecurso","operationId":"recuperarRecursoUsingGET_5","produces":["application/json"],"parameters":[{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«MotivoRetornoEvasao»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"put":{"tags":["motivo-retorno-evasao-rest-controller-impl"],"summary":"alterarRecurso","operationId":"alterarRecursoUsingPUT_5","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"recurso","description":"recurso","required":true,"schema":{"$ref":"#/definitions/MotivoRetornoEvasao"}},{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«MotivoRetornoEvasao»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"delete":{"tags":["motivo-retorno-evasao-rest-controller-impl"],"summary":"inativarRecurso","operationId":"inativarRecursoUsingDELETE_5","produces":["application/json"],"parameters":[{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«MotivoRetornoEvasao»"}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}}}},"/api/v2/motivos-solturas":{"get":{"tags":["motivo-soltura-rest-controller-impl"],"summary":"pesquisarRecurso","operationId":"pesquisarRecursoUsingGET_6","produces":["application/json"],"parameters":[{"name":"simpleFilter","in":"query","description":"simpleFilter","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«Page«MotivoSoltura»»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"post":{"tags":["motivo-soltura-rest-controller-impl"],"summary":"criarRecurso","operationId":"criarRecursoUsingPOST_6","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"recurso","description":"recurso","required":true,"schema":{"$ref":"#/definitions/MotivoSoltura"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«MotivoSoltura»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/motivos-solturas/{idRecurso}":{"get":{"tags":["motivo-soltura-rest-controller-impl"],"summary":"recuperarRecurso","operationId":"recuperarRecursoUsingGET_6","produces":["application/json"],"parameters":[{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«MotivoSoltura»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"put":{"tags":["motivo-soltura-rest-controller-impl"],"summary":"alterarRecurso","operationId":"alterarRecursoUsingPUT_6","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"recurso","description":"recurso","required":true,"schema":{"$ref":"#/definitions/MotivoSoltura"}},{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«MotivoSoltura»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"delete":{"tags":["motivo-soltura-rest-controller-impl"],"summary":"inativarRecurso","operationId":"inativarRecursoUsingDELETE_6","produces":["application/json"],"parameters":[{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«MotivoSoltura»"}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}}}},"/api/v2/normas":{"get":{"tags":["norma-rest-controller-impl"],"summary":"pesquisarRecurso","operationId":"pesquisarRecursoUsingGET_7","produces":["application/json"],"parameters":[{"name":"simpleFilter","in":"query","description":"simpleFilter","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«Page«Norma»»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"post":{"tags":["norma-rest-controller-impl"],"summary":"criarRecurso","operationId":"criarRecursoUsingPOST_7","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"recurso","description":"recurso","required":true,"schema":{"$ref":"#/definitions/Norma"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«Norma»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/normas/{idNorma}/dispositivos":{"get":{"tags":["norma-rest-controller-impl"],"summary":"recuperarDispositivosPorIdNorma","operationId":"recuperarDispositivosPorIdNormaUsingGET_1","produces":["application/json"],"parameters":[{"name":"idNorma","in":"path","description":"idNorma","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«List«Dispositivo»»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/normas/{idRecurso}":{"get":{"tags":["norma-rest-controller-impl"],"summary":"recuperarRecurso","operationId":"recuperarRecursoUsingGET_7","produces":["application/json"],"parameters":[{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«Norma»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"put":{"tags":["norma-rest-controller-impl"],"summary":"alterarRecurso","operationId":"alterarRecursoUsingPUT_7","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"recurso","description":"recurso","required":true,"schema":{"$ref":"#/definitions/Norma"}},{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«Norma»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"delete":{"tags":["norma-rest-controller-impl"],"summary":"inativarRecurso","operationId":"inativarRecursoUsingDELETE_7","produces":["application/json"],"parameters":[{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«Norma»"}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}}}},"/api/v2/orgaos-procedimentos-origens":{"get":{"tags":["orgao-procedimento-originario-rest-controller-impl"],"summary":"pesquisarRecurso","operationId":"pesquisarRecursoUsingGET_8","produces":["application/json"],"parameters":[{"name":"simpleFilter","in":"query","description":"simpleFilter","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«Page«OrgaoProcedimentoOriginario»»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"post":{"tags":["orgao-procedimento-originario-rest-controller-impl"],"summary":"criarRecurso","operationId":"criarRecursoUsingPOST_8","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"recurso","description":"recurso","required":true,"schema":{"$ref":"#/definitions/OrgaoProcedimentoOriginario"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«OrgaoProcedimentoOriginario»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/orgaos-procedimentos-origens/{idRecurso}":{"get":{"tags":["orgao-procedimento-originario-rest-controller-impl"],"summary":"recuperarRecurso","operationId":"recuperarRecursoUsingGET_8","produces":["application/json"],"parameters":[{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«OrgaoProcedimentoOriginario»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"put":{"tags":["orgao-procedimento-originario-rest-controller-impl"],"summary":"alterarRecurso","operationId":"alterarRecursoUsingPUT_8","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"recurso","description":"recurso","required":true,"schema":{"$ref":"#/definitions/OrgaoProcedimentoOriginario"}},{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«OrgaoProcedimentoOriginario»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"delete":{"tags":["orgao-procedimento-originario-rest-controller-impl"],"summary":"inativarRecurso","operationId":"inativarRecursoUsingDELETE_8","produces":["application/json"],"parameters":[{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«OrgaoProcedimentoOriginario»"}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}}}},"/api/v2/processos":{"get":{"tags":["processo-rest-controller"],"summary":"recuperarProcessos","operationId":"recuperarProcessosUsingGET_1","produces":["application/json"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Processo"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":true},"post":{"tags":["processo-rest-controller"],"summary":"criarNovoProcesso","operationId":"criarNovoProcessoUsingPOST_1","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"processo","description":"processo","required":true,"schema":{"$ref":"#/definitions/ProcessoDTO"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ProcessoDTO"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"put":{"tags":["processo-rest-controller"],"summary":"alterarProcesso","operationId":"alterarProcessoUsingPUT_1","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"processo","description":"processo","required":true,"schema":{"$ref":"#/definitions/ProcessoDTO"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ProcessoDTO"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/processos/numero/{numeroProcesso}":{"get":{"tags":["processo-rest-controller"],"summary":"recuperarProcessoPorNumero","operationId":"recuperarProcessoPorNumeroUsingGET_1","produces":["application/json"],"parameters":[{"name":"numeroProcesso","in":"path","description":"numeroProcesso","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ProcessoDTO"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/processos/pesquisar":{"post":{"tags":["processo-rest-controller"],"summary":"recuperarProcessosPorPagina","operationId":"recuperarProcessosPorPaginaUsingPOST_1","consumes":["application/json"],"produces":["application/json"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Page«ProcessoDTO»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/processos/pesquisar/numero/{numeroProcesso}/":{"get":{"tags":["processo-rest-controller"],"summary":"recuperarProcessosPorNumero","operationId":"recuperarProcessosPorNumeroUsingGET_1","produces":["application/json"],"parameters":[{"name":"numeroProcesso","in":"path","description":"numeroProcesso","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/ProcessoDTO"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/processos/{idProcesso}":{"get":{"tags":["processo-rest-controller"],"summary":"recuperarProcessoPorId","operationId":"recuperarProcessoPorIdUsingGET_1","produces":["application/json"],"parameters":[{"name":"idProcesso","in":"path","description":"idProcesso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ProcessoDTO"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/tipos-eventos-criminais":{"get":{"tags":["tipo-evento-criminal-rest-controller-impl"],"summary":"pesquisarRecurso","operationId":"pesquisarRecursoUsingGET_9","produces":["application/json"],"parameters":[{"name":"simpleFilter","in":"query","description":"simpleFilter","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«Page«TipoEventoCriminal»»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"post":{"tags":["tipo-evento-criminal-rest-controller-impl"],"summary":"criarRecurso","operationId":"criarRecursoUsingPOST_9","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"recurso","description":"recurso","required":true,"schema":{"$ref":"#/definitions/TipoEventoCriminal"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«TipoEventoCriminal»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/tipos-eventos-criminais/count":{"get":{"tags":["tipo-evento-criminal-rest-controller-impl"],"summary":"countTipos","operationId":"countTiposUsingGET","produces":["application/json"],"responses":{"200":{"description":"OK","schema":{"type":"integer","format":"int64"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"post":{"tags":["tipo-evento-criminal-rest-controller-impl"],"summary":"countTipos","operationId":"countTiposUsingPOST","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"tipoEventoCriminal","description":"tipoEventoCriminal","required":true,"schema":{"$ref":"#/definitions/TipoEventoCriminal"}}],"responses":{"200":{"description":"OK","schema":{"type":"integer","format":"int64"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/tipos-eventos-criminais/pesquisar":{"post":{"tags":["tipo-evento-criminal-rest-controller-impl"],"summary":"recuperarTiposPorPagina","operationId":"recuperarTiposPorPaginaUsingPOST","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"tipoEventoCriminal","description":"tipoEventoCriminal","required":true,"schema":{"$ref":"#/definitions/TipoEventoCriminal"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Page«TipoEventoCriminal»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/tipos-eventos-criminais/processo/{idProcesso}":{"get":{"tags":["tipo-evento-criminal-rest-controller-impl"],"summary":"recuperarTiposEventosCriminaisPorProcesso","operationId":"recuperarTiposEventosCriminaisPorProcessoUsingGET","produces":["*/*"],"parameters":[{"name":"idProcesso","in":"path","description":"idProcesso","required":true,"type":"integer","format":"int64"},{"name":"ativo","in":"query","description":"ativo","required":false,"type":"boolean"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/TipoEventoCriminal"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/tipos-eventos-criminais/tipo-processo/{tipoProcesso}":{"get":{"tags":["tipo-evento-criminal-rest-controller-impl"],"summary":"recuperarTiposEventosCriminaisPorTipoProcesso","operationId":"recuperarTiposEventosCriminaisPorTipoProcessoUsingGET","produces":["*/*"],"parameters":[{"name":"tipoProcesso","in":"path","description":"tipoProcesso","required":true,"type":"string","enum":["CRI","INF","T"]}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/TipoEventoCriminal"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/tipos-eventos-criminais/{idRecurso}":{"get":{"tags":["tipo-evento-criminal-rest-controller-impl"],"summary":"recuperarRecurso","operationId":"recuperarRecursoUsingGET_9","produces":["application/json"],"parameters":[{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«TipoEventoCriminal»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"put":{"tags":["tipo-evento-criminal-rest-controller-impl"],"summary":"alterarRecurso","operationId":"alterarRecursoUsingPUT_9","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"recurso","description":"recurso","required":true,"schema":{"$ref":"#/definitions/TipoEventoCriminal"}},{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«TipoEventoCriminal»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"delete":{"tags":["tipo-evento-criminal-rest-controller-impl"],"summary":"inativarRecurso","operationId":"inativarRecursoUsingDELETE_9","produces":["application/json"],"parameters":[{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«TipoEventoCriminal»"}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}}}},"/api/v2/tipos-internacao":{"get":{"tags":["tipo-internacao-rest-controller-impl"],"summary":"pesquisarRecurso","operationId":"pesquisarRecursoUsingGET_10","produces":["application/json"],"parameters":[{"name":"simpleFilter","in":"query","description":"simpleFilter","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«Page«TipoInternacao»»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"post":{"tags":["tipo-internacao-rest-controller-impl"],"summary":"criarRecurso","operationId":"criarRecursoUsingPOST_10","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"recurso","description":"recurso","required":true,"schema":{"$ref":"#/definitions/TipoInternacao"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«TipoInternacao»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/tipos-internacao/{idRecurso}":{"get":{"tags":["tipo-internacao-rest-controller-impl"],"summary":"recuperarRecurso","operationId":"recuperarRecursoUsingGET_10","produces":["application/json"],"parameters":[{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«TipoInternacao»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"put":{"tags":["tipo-internacao-rest-controller-impl"],"summary":"alterarRecurso","operationId":"alterarRecursoUsingPUT_10","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"recurso","description":"recurso","required":true,"schema":{"$ref":"#/definitions/TipoInternacao"}},{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«TipoInternacao»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"delete":{"tags":["tipo-internacao-rest-controller-impl"],"summary":"inativarRecurso","operationId":"inativarRecursoUsingDELETE_10","produces":["application/json"],"parameters":[{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«TipoInternacao»"}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}}}},"/api/v2/tipos-origens":{"get":{"tags":["tipo-origem-rest-controller-impl"],"summary":"pesquisarRecurso","operationId":"pesquisarRecursoUsingGET_11","produces":["application/json"],"parameters":[{"name":"simpleFilter","in":"query","description":"simpleFilter","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«Page«TipoOrigem»»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"post":{"tags":["tipo-origem-rest-controller-impl"],"summary":"criarRecurso","operationId":"criarRecursoUsingPOST_11","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"recurso","description":"recurso","required":true,"schema":{"$ref":"#/definitions/TipoOrigem"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«TipoOrigem»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/tipos-origens/{idRecurso}":{"get":{"tags":["tipo-origem-rest-controller-impl"],"summary":"recuperarRecurso","operationId":"recuperarRecursoUsingGET_11","produces":["application/json"],"parameters":[{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«TipoOrigem»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"put":{"tags":["tipo-origem-rest-controller-impl"],"summary":"alterarRecurso","operationId":"alterarRecursoUsingPUT_11","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"recurso","description":"recurso","required":true,"schema":{"$ref":"#/definitions/TipoOrigem"}},{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«TipoOrigem»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"delete":{"tags":["tipo-origem-rest-controller-impl"],"summary":"inativarRecurso","operationId":"inativarRecursoUsingDELETE_11","produces":["application/json"],"parameters":[{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«TipoOrigem»"}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}}}},"/api/v2/tipos-prisoes":{"get":{"tags":["tipo-prisao-rest-controller-impl"],"summary":"pesquisarRecurso","operationId":"pesquisarRecursoUsingGET_12","produces":["application/json"],"parameters":[{"name":"simpleFilter","in":"query","description":"simpleFilter","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«Page«TipoPrisao»»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"post":{"tags":["tipo-prisao-rest-controller-impl"],"summary":"criarRecurso","operationId":"criarRecursoUsingPOST_12","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"recurso","description":"recurso","required":true,"schema":{"$ref":"#/definitions/TipoPrisao"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«TipoPrisao»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/tipos-prisoes/{idRecurso}":{"get":{"tags":["tipo-prisao-rest-controller-impl"],"summary":"recuperarRecurso","operationId":"recuperarRecursoUsingGET_12","produces":["application/json"],"parameters":[{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«TipoPrisao»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"put":{"tags":["tipo-prisao-rest-controller-impl"],"summary":"alterarRecurso","operationId":"alterarRecursoUsingPUT_12","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"recurso","description":"recurso","required":true,"schema":{"$ref":"#/definitions/TipoPrisao"}},{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«TipoPrisao»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"delete":{"tags":["tipo-prisao-rest-controller-impl"],"summary":"inativarRecurso","operationId":"inativarRecursoUsingDELETE_12","produces":["application/json"],"parameters":[{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«TipoPrisao»"}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}}}},"/api/v2/tipos-procedimentos-origens":{"get":{"tags":["tipo-procedimento-origem-rest-controller-impl"],"summary":"pesquisarRecurso","operationId":"pesquisarRecursoUsingGET_13","produces":["application/json"],"parameters":[{"name":"simpleFilter","in":"query","description":"simpleFilter","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«Page«TipoProcedimentoOrigem»»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"post":{"tags":["tipo-procedimento-origem-rest-controller-impl"],"summary":"criarRecurso","operationId":"criarRecursoUsingPOST_13","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"recurso","description":"recurso","required":true,"schema":{"$ref":"#/definitions/TipoProcedimentoOrigem"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«TipoProcedimentoOrigem»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/tipos-procedimentos-origens/{idRecurso}":{"get":{"tags":["tipo-procedimento-origem-rest-controller-impl"],"summary":"recuperarRecurso","operationId":"recuperarRecursoUsingGET_13","produces":["application/json"],"parameters":[{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«TipoProcedimentoOrigem»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"put":{"tags":["tipo-procedimento-origem-rest-controller-impl"],"summary":"alterarRecurso","operationId":"alterarRecursoUsingPUT_13","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"recurso","description":"recurso","required":true,"schema":{"$ref":"#/definitions/TipoProcedimentoOrigem"}},{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«TipoProcedimentoOrigem»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"delete":{"tags":["tipo-procedimento-origem-rest-controller-impl"],"summary":"inativarRecurso","operationId":"inativarRecursoUsingDELETE_13","produces":["application/json"],"parameters":[{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«TipoProcedimentoOrigem»"}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}}}},"/api/v2/tipos-recursos":{"get":{"tags":["tipo-recurso-rest-controller-impl"],"summary":"pesquisarRecurso","operationId":"pesquisarRecursoUsingGET_14","produces":["application/json"],"parameters":[{"name":"simpleFilter","in":"query","description":"simpleFilter","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«Page«TipoRecurso»»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"post":{"tags":["tipo-recurso-rest-controller-impl"],"summary":"criarRecurso","operationId":"criarRecursoUsingPOST_14","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"recurso","description":"recurso","required":true,"schema":{"$ref":"#/definitions/TipoRecurso"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«TipoRecurso»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/tipos-recursos/{idRecurso}":{"get":{"tags":["tipo-recurso-rest-controller-impl"],"summary":"recuperarRecurso","operationId":"recuperarRecursoUsingGET_14","produces":["application/json"],"parameters":[{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«TipoRecurso»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"put":{"tags":["tipo-recurso-rest-controller-impl"],"summary":"alterarRecurso","operationId":"alterarRecursoUsingPUT_14","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"recurso","description":"recurso","required":true,"schema":{"$ref":"#/definitions/TipoRecurso"}},{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«TipoRecurso»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"delete":{"tags":["tipo-recurso-rest-controller-impl"],"summary":"inativarRecurso","operationId":"inativarRecursoUsingDELETE_14","produces":["application/json"],"parameters":[{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«TipoRecurso»"}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}}}},"/api/v2/tipos-remissao":{"get":{"tags":["tipo-remissao-controller-impl"],"summary":"pesquisarRecurso","operationId":"pesquisarRecursoUsingGET_15","produces":["application/json"],"parameters":[{"name":"simpleFilter","in":"query","description":"simpleFilter","required":false,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«Page«TipoRemissao»»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"post":{"tags":["tipo-remissao-controller-impl"],"summary":"criarRecurso","operationId":"criarRecursoUsingPOST_15","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"recurso","description":"recurso","required":true,"schema":{"$ref":"#/definitions/TipoRemissao"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«TipoRemissao»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}},"/api/v2/tipos-remissao/{idRecurso}":{"get":{"tags":["tipo-remissao-controller-impl"],"summary":"recuperarRecurso","operationId":"recuperarRecursoUsingGET_15","produces":["application/json"],"parameters":[{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«TipoRemissao»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"put":{"tags":["tipo-remissao-controller-impl"],"summary":"alterarRecurso","operationId":"alterarRecursoUsingPUT_15","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"recurso","description":"recurso","required":true,"schema":{"$ref":"#/definitions/TipoRemissao"}},{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«TipoRemissao»"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}},"delete":{"tags":["tipo-remissao-controller-impl"],"summary":"inativarRecurso","operationId":"inativarRecursoUsingDELETE_15","produces":["application/json"],"parameters":[{"name":"idRecurso","in":"path","description":"idRecurso","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«TipoRemissao»"}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}}}},"/api/v2/usuario-autenticado/":{"get":{"tags":["usuario-autenticado-rest-controller-impl"],"summary":"recuperarUsuarioAutenticado","operationId":"recuperarUsuarioAutenticadoUsingGET","produces":["application/json;charset=UTF-8"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PjeResponse«PjeUser»"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}}}}},"definitions":{"Dispositivo":{"type":"object","required":["norma","tipoDispositivo"],"properties":{"artigo":{"type":"string"},"ativo":{"type":"boolean"},"dispositivoPai":{"$ref":"#/definitions/Dispositivo"},"fimVigencia":{"type":"string","format":"date-time"},"id":{"type":"integer","format":"int64"},"identificador":{"type":"string"},"identificadorPena":{"type":"string"},"inciso":{"type":"string"},"inicioVigencia":{"type":"string","format":"date-time"},"norma":{"$ref":"#/definitions/Norma"},"paragrafo":{"type":"string"},"simbolo":{"type":"string"},"texto":{"type":"string"},"textoFinal":{"type":"string"},"textoFinalResumido":{"type":"string"},"tipoDispositivo":{"$ref":"#/definitions/TipoDispositivo"}},"title":"Dispositivo"},"EstadosBrasileirosEnum":{"type":"object","properties":{"nome":{"type":"string"},"sigla":{"type":"string"}},"title":"EstadosBrasileirosEnum"},"MedidaSocioeducativa":{"type":"object","properties":{"ativo":{"type":"boolean"},"cdMedidaSocioeducativa":{"type":"string"},"dsMedidaSocioeducativa":{"type":"string"},"id":{"type":"integer","format":"int64"}},"title":"MedidaSocioeducativa"},"MotivoExtincaoMedidaSocioeducativa":{"type":"object","properties":{"ativo":{"type":"boolean"},"dsMotivoExtincao":{"type":"string"},"id":{"type":"integer","format":"int64"}},"title":"MotivoExtincaoMedidaSocioeducativa"},"MotivoInternacaoProvisoria":{"type":"object","properties":{"ativo":{"type":"boolean"},"dsMotivoInternacaoProvisoria":{"type":"string"},"id":{"type":"integer","format":"int64"}},"title":"MotivoInternacaoProvisoria"},"MotivoPrisao":{"type":"object","properties":{"ativo":{"type":"boolean"},"codigoTribunal":{"type":"string"},"id":{"type":"integer","format":"int64"},"motivoPrisao":{"type":"string"}},"title":"MotivoPrisao"},"MotivoRetornoEvasao":{"type":"object","properties":{"ativo":{"type":"boolean"},"dsMotivoRetornoEvasao":{"type":"string"},"id":{"type":"integer","format":"int64"}},"title":"MotivoRetornoEvasao"},"MotivoSoltura":{"type":"object","properties":{"ativo":{"type":"boolean"},"codigoTribunal":{"type":"string"},"id":{"type":"integer","format":"int64"},"motivoSoltura":{"type":"string"}},"title":"MotivoSoltura"},"Municipio":{"type":"object","properties":{"codigoIbge":{"type":"string"},"codigoTribunal":{"type":"string"},"municipio":{"type":"string"},"uf":{"type":"string"}},"title":"Municipio"},"Norma":{"type":"object","required":["tipoNorma"],"properties":{"ativo":{"type":"boolean"},"codigoTribunal":{"type":"string"},"fimVigencia":{"type":"string","format":"date-time"},"id":{"type":"integer","format":"int64"},"inicioVigencia":{"type":"string","format":"date-time"},"norma":{"type":"string"},"numeroNorma":{"type":"string"},"sigla":{"type":"string"},"tipoNorma":{"$ref":"#/definitions/TipoNorma"}},"title":"Norma"},"OrgaoProcedimentoOriginario":{"type":"object","required":["ativo","cep","dsNomeOrgao","nmBairro","nmLogradouro","tipoOrigem"],"properties":{"ativo":{"type":"boolean"},"cep":{"type":"string"},"codigoTribunal":{"type":"string"},"dsCodOrigem":{"type":"string"},"dsDdd":{"type":"string"},"dsNomeOrgao":{"type":"string"},"dsTelefone":{"type":"string"},"id":{"type":"integer","format":"int64"},"municipio":{"$ref":"#/definitions/Municipio"},"nmBairro":{"type":"string"},"nmComplemento":{"type":"string"},"nmLogradouro":{"type":"string"},"nmNumero":{"type":"string"},"tipoOrigem":{"$ref":"#/definitions/TipoOrigem"}},"title":"OrgaoProcedimentoOriginario"},"Pageable":{"type":"object","properties":{"offset":{"type":"integer","format":"int64"},"pageNumber":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"paged":{"type":"boolean"},"sort":{"$ref":"#/definitions/Sort"},"unpaged":{"type":"boolean"}},"title":"Pageable"},"Page«Dispositivo»":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/definitions/Dispositivo"}},"first":{"type":"boolean"},"last":{"type":"boolean"},"number":{"type":"integer","format":"int32"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/definitions/Pageable"},"size":{"type":"integer","format":"int32"},"sort":{"$ref":"#/definitions/Sort"},"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"}},"title":"Page«Dispositivo»"},"Page«MedidaSocioeducativa»":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/definitions/MedidaSocioeducativa"}},"first":{"type":"boolean"},"last":{"type":"boolean"},"number":{"type":"integer","format":"int32"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/definitions/Pageable"},"size":{"type":"integer","format":"int32"},"sort":{"$ref":"#/definitions/Sort"},"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"}},"title":"Page«MedidaSocioeducativa»"},"Page«MotivoExtincaoMedidaSocioeducativa»":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/definitions/MotivoExtincaoMedidaSocioeducativa"}},"first":{"type":"boolean"},"last":{"type":"boolean"},"number":{"type":"integer","format":"int32"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/definitions/Pageable"},"size":{"type":"integer","format":"int32"},"sort":{"$ref":"#/definitions/Sort"},"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"}},"title":"Page«MotivoExtincaoMedidaSocioeducativa»"},"Page«MotivoInternacaoProvisoria»":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/definitions/MotivoInternacaoProvisoria"}},"first":{"type":"boolean"},"last":{"type":"boolean"},"number":{"type":"integer","format":"int32"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/definitions/Pageable"},"size":{"type":"integer","format":"int32"},"sort":{"$ref":"#/definitions/Sort"},"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"}},"title":"Page«MotivoInternacaoProvisoria»"},"Page«MotivoPrisao»":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/definitions/MotivoPrisao"}},"first":{"type":"boolean"},"last":{"type":"boolean"},"number":{"type":"integer","format":"int32"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/definitions/Pageable"},"size":{"type":"integer","format":"int32"},"sort":{"$ref":"#/definitions/Sort"},"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"}},"title":"Page«MotivoPrisao»"},"Page«MotivoRetornoEvasao»":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/definitions/MotivoRetornoEvasao"}},"first":{"type":"boolean"},"last":{"type":"boolean"},"number":{"type":"integer","format":"int32"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/definitions/Pageable"},"size":{"type":"integer","format":"int32"},"sort":{"$ref":"#/definitions/Sort"},"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"}},"title":"Page«MotivoRetornoEvasao»"},"Page«MotivoSoltura»":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/definitions/MotivoSoltura"}},"first":{"type":"boolean"},"last":{"type":"boolean"},"number":{"type":"integer","format":"int32"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/definitions/Pageable"},"size":{"type":"integer","format":"int32"},"sort":{"$ref":"#/definitions/Sort"},"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"}},"title":"Page«MotivoSoltura»"},"Page«Norma»":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/definitions/Norma"}},"first":{"type":"boolean"},"last":{"type":"boolean"},"number":{"type":"integer","format":"int32"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/definitions/Pageable"},"size":{"type":"integer","format":"int32"},"sort":{"$ref":"#/definitions/Sort"},"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"}},"title":"Page«Norma»"},"Page«OrgaoProcedimentoOriginario»":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/definitions/OrgaoProcedimentoOriginario"}},"first":{"type":"boolean"},"last":{"type":"boolean"},"number":{"type":"integer","format":"int32"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/definitions/Pageable"},"size":{"type":"integer","format":"int32"},"sort":{"$ref":"#/definitions/Sort"},"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"}},"title":"Page«OrgaoProcedimentoOriginario»"},"Page«ProcessoDTO»":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/definitions/ProcessoDTO"}},"first":{"type":"boolean"},"last":{"type":"boolean"},"number":{"type":"integer","format":"int32"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/definitions/Pageable"},"size":{"type":"integer","format":"int32"},"sort":{"$ref":"#/definitions/Sort"},"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"}},"title":"Page«ProcessoDTO»"},"Page«TipoEventoCriminal»":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/definitions/TipoEventoCriminal"}},"first":{"type":"boolean"},"last":{"type":"boolean"},"number":{"type":"integer","format":"int32"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/definitions/Pageable"},"size":{"type":"integer","format":"int32"},"sort":{"$ref":"#/definitions/Sort"},"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"}},"title":"Page«TipoEventoCriminal»"},"Page«TipoInternacao»":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/definitions/TipoInternacao"}},"first":{"type":"boolean"},"last":{"type":"boolean"},"number":{"type":"integer","format":"int32"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/definitions/Pageable"},"size":{"type":"integer","format":"int32"},"sort":{"$ref":"#/definitions/Sort"},"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"}},"title":"Page«TipoInternacao»"},"Page«TipoOrigem»":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/definitions/TipoOrigem"}},"first":{"type":"boolean"},"last":{"type":"boolean"},"number":{"type":"integer","format":"int32"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/definitions/Pageable"},"size":{"type":"integer","format":"int32"},"sort":{"$ref":"#/definitions/Sort"},"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"}},"title":"Page«TipoOrigem»"},"Page«TipoPrisao»":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/definitions/TipoPrisao"}},"first":{"type":"boolean"},"last":{"type":"boolean"},"number":{"type":"integer","format":"int32"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/definitions/Pageable"},"size":{"type":"integer","format":"int32"},"sort":{"$ref":"#/definitions/Sort"},"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"}},"title":"Page«TipoPrisao»"},"Page«TipoProcedimentoOrigem»":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/definitions/TipoProcedimentoOrigem"}},"first":{"type":"boolean"},"last":{"type":"boolean"},"number":{"type":"integer","format":"int32"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/definitions/Pageable"},"size":{"type":"integer","format":"int32"},"sort":{"$ref":"#/definitions/Sort"},"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"}},"title":"Page«TipoProcedimentoOrigem»"},"Page«TipoRecurso»":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/definitions/TipoRecurso"}},"first":{"type":"boolean"},"last":{"type":"boolean"},"number":{"type":"integer","format":"int32"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/definitions/Pageable"},"size":{"type":"integer","format":"int32"},"sort":{"$ref":"#/definitions/Sort"},"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"}},"title":"Page«TipoRecurso»"},"Page«TipoRemissao»":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/definitions/TipoRemissao"}},"first":{"type":"boolean"},"last":{"type":"boolean"},"number":{"type":"integer","format":"int32"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/definitions/Pageable"},"size":{"type":"integer","format":"int32"},"sort":{"$ref":"#/definitions/Sort"},"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"}},"title":"Page«TipoRemissao»"},"PjeResponse«Array«EstadosBrasileirosEnum»»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"type":"array","items":{"$ref":"#/definitions/EstadosBrasileirosEnum"}},"status":{"type":"string"}},"title":"PjeResponse«Array«EstadosBrasileirosEnum»»"},"PjeResponse«Dispositivo»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"$ref":"#/definitions/Dispositivo"},"status":{"type":"string"}},"title":"PjeResponse«Dispositivo»"},"PjeResponse«List«Dispositivo»»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"type":"array","items":{"$ref":"#/definitions/Dispositivo"}},"status":{"type":"string"}},"title":"PjeResponse«List«Dispositivo»»"},"PjeResponse«MedidaSocioeducativa»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"$ref":"#/definitions/MedidaSocioeducativa"},"status":{"type":"string"}},"title":"PjeResponse«MedidaSocioeducativa»"},"PjeResponse«MotivoExtincaoMedidaSocioeducativa»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"$ref":"#/definitions/MotivoExtincaoMedidaSocioeducativa"},"status":{"type":"string"}},"title":"PjeResponse«MotivoExtincaoMedidaSocioeducativa»"},"PjeResponse«MotivoInternacaoProvisoria»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"$ref":"#/definitions/MotivoInternacaoProvisoria"},"status":{"type":"string"}},"title":"PjeResponse«MotivoInternacaoProvisoria»"},"PjeResponse«MotivoPrisao»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"$ref":"#/definitions/MotivoPrisao"},"status":{"type":"string"}},"title":"PjeResponse«MotivoPrisao»"},"PjeResponse«MotivoRetornoEvasao»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"$ref":"#/definitions/MotivoRetornoEvasao"},"status":{"type":"string"}},"title":"PjeResponse«MotivoRetornoEvasao»"},"PjeResponse«MotivoSoltura»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"$ref":"#/definitions/MotivoSoltura"},"status":{"type":"string"}},"title":"PjeResponse«MotivoSoltura»"},"PjeResponse«Norma»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"$ref":"#/definitions/Norma"},"status":{"type":"string"}},"title":"PjeResponse«Norma»"},"PjeResponse«OrgaoProcedimentoOriginario»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"$ref":"#/definitions/OrgaoProcedimentoOriginario"},"status":{"type":"string"}},"title":"PjeResponse«OrgaoProcedimentoOriginario»"},"PjeResponse«Page«Dispositivo»»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"$ref":"#/definitions/Page«Dispositivo»"},"status":{"type":"string"}},"title":"PjeResponse«Page«Dispositivo»»"},"PjeResponse«Page«MedidaSocioeducativa»»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"$ref":"#/definitions/Page«MedidaSocioeducativa»"},"status":{"type":"string"}},"title":"PjeResponse«Page«MedidaSocioeducativa»»"},"PjeResponse«Page«MotivoExtincaoMedidaSocioeducativa»»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"$ref":"#/definitions/Page«MotivoExtincaoMedidaSocioeducativa»"},"status":{"type":"string"}},"title":"PjeResponse«Page«MotivoExtincaoMedidaSocioeducativa»»"},"PjeResponse«Page«MotivoInternacaoProvisoria»»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"$ref":"#/definitions/Page«MotivoInternacaoProvisoria»"},"status":{"type":"string"}},"title":"PjeResponse«Page«MotivoInternacaoProvisoria»»"},"PjeResponse«Page«MotivoPrisao»»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"$ref":"#/definitions/Page«MotivoPrisao»"},"status":{"type":"string"}},"title":"PjeResponse«Page«MotivoPrisao»»"},"PjeResponse«Page«MotivoRetornoEvasao»»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"$ref":"#/definitions/Page«MotivoRetornoEvasao»"},"status":{"type":"string"}},"title":"PjeResponse«Page«MotivoRetornoEvasao»»"},"PjeResponse«Page«MotivoSoltura»»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"$ref":"#/definitions/Page«MotivoSoltura»"},"status":{"type":"string"}},"title":"PjeResponse«Page«MotivoSoltura»»"},"PjeResponse«Page«Norma»»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"$ref":"#/definitions/Page«Norma»"},"status":{"type":"string"}},"title":"PjeResponse«Page«Norma»»"},"PjeResponse«Page«OrgaoProcedimentoOriginario»»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"$ref":"#/definitions/Page«OrgaoProcedimentoOriginario»"},"status":{"type":"string"}},"title":"PjeResponse«Page«OrgaoProcedimentoOriginario»»"},"PjeResponse«Page«TipoEventoCriminal»»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"$ref":"#/definitions/Page«TipoEventoCriminal»"},"status":{"type":"string"}},"title":"PjeResponse«Page«TipoEventoCriminal»»"},"PjeResponse«Page«TipoInternacao»»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"$ref":"#/definitions/Page«TipoInternacao»"},"status":{"type":"string"}},"title":"PjeResponse«Page«TipoInternacao»»"},"PjeResponse«Page«TipoOrigem»»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"$ref":"#/definitions/Page«TipoOrigem»"},"status":{"type":"string"}},"title":"PjeResponse«Page«TipoOrigem»»"},"PjeResponse«Page«TipoPrisao»»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"$ref":"#/definitions/Page«TipoPrisao»"},"status":{"type":"string"}},"title":"PjeResponse«Page«TipoPrisao»»"},"PjeResponse«Page«TipoProcedimentoOrigem»»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"$ref":"#/definitions/Page«TipoProcedimentoOrigem»"},"status":{"type":"string"}},"title":"PjeResponse«Page«TipoProcedimentoOrigem»»"},"PjeResponse«Page«TipoRecurso»»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"$ref":"#/definitions/Page«TipoRecurso»"},"status":{"type":"string"}},"title":"PjeResponse«Page«TipoRecurso»»"},"PjeResponse«Page«TipoRemissao»»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"$ref":"#/definitions/Page«TipoRemissao»"},"status":{"type":"string"}},"title":"PjeResponse«Page«TipoRemissao»»"},"PjeResponse«PjeUser»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"$ref":"#/definitions/PjeUser"},"status":{"type":"string"}},"title":"PjeResponse«PjeUser»"},"PjeResponse«TipoEventoCriminal»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"$ref":"#/definitions/TipoEventoCriminal"},"status":{"type":"string"}},"title":"PjeResponse«TipoEventoCriminal»"},"PjeResponse«TipoInternacao»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"$ref":"#/definitions/TipoInternacao"},"status":{"type":"string"}},"title":"PjeResponse«TipoInternacao»"},"PjeResponse«TipoOrigem»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"$ref":"#/definitions/TipoOrigem"},"status":{"type":"string"}},"title":"PjeResponse«TipoOrigem»"},"PjeResponse«TipoPrisao»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"$ref":"#/definitions/TipoPrisao"},"status":{"type":"string"}},"title":"PjeResponse«TipoPrisao»"},"PjeResponse«TipoProcedimentoOrigem»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"$ref":"#/definitions/TipoProcedimentoOrigem"},"status":{"type":"string"}},"title":"PjeResponse«TipoProcedimentoOrigem»"},"PjeResponse«TipoRecurso»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"$ref":"#/definitions/TipoRecurso"},"status":{"type":"string"}},"title":"PjeResponse«TipoRecurso»"},"PjeResponse«TipoRemissao»":{"type":"object","properties":{"code":{"type":"string"},"messages":{"type":"array","items":{"type":"string"}},"result":{"$ref":"#/definitions/TipoRemissao"},"status":{"type":"string"}},"title":"PjeResponse«TipoRemissao»"},"PjeUser":{"type":"object","properties":{"accountNonExpired":{"type":"boolean"},"accountNonLocked":{"type":"boolean"},"credentialsNonExpired":{"type":"boolean"},"enabled":{"type":"boolean"},"papeis":{"type":"array","items":{"type":"string"}},"password":{"type":"string"},"username":{"type":"string"}},"title":"PjeUser"},"Processo":{"type":"object","required":["dsLocalFato"],"properties":{"cep":{"type":"string"},"codigoTribunal":{"type":"string"},"complemento":{"type":"string"},"dsLatitude":{"type":"string"},"dsLocalFato":{"type":"string"},"dsLongitude":{"type":"string"},"dtLocalFato":{"type":"string","format":"date-time"},"id":{"type":"integer","format":"int64"},"municipio":{"$ref":"#/definitions/Municipio"},"nmBairro":{"type":"string"},"nmLogradouro":{"type":"string"},"nmNumero":{"type":"string"},"nrProcesso":{"type":"string"},"processoProcedimentoOrigemList":{"type":"array","items":{"$ref":"#/definitions/ProcessoProcedimentoOrigem"}},"tipoProcesso":{"type":"string","enum":["CRI","INF","T"]}},"title":"Processo"},"ProcessoDTO":{"type":"object","properties":{"cep":{"type":"string"},"codigoTribunal":{"type":"string"},"complemento":{"type":"string"},"dsLatitude":{"type":"string"},"dsLocalFato":{"type":"string"},"dsLongitude":{"type":"string"},"dtLocalFato":{"type":"string","format":"date-time"},"id":{"type":"integer","format":"int64"},"municipio":{"$ref":"#/definitions/Municipio"},"nmBairro":{"type":"string"},"nmLogradouro":{"type":"string"},"nmNumero":{"type":"string"},"nrProcesso":{"type":"string"},"processoProcedimentoOrigemList":{"type":"array","items":{"$ref":"#/definitions/ProcessoProcedimentoOrigemDTO"}},"tipoProcesso":{"type":"string","enum":["CRI","INF","T"]}},"title":"ProcessoDTO"},"ProcessoProcedimentoOrigem":{"type":"object","required":["processo","tipoOrigem"],"properties":{"ano":{"type":"integer","format":"int32","maximum":9999.0,"exclusiveMaximum":false},"ativo":{"type":"boolean"},"codigoTribunal":{"type":"string"},"dataInstauracao":{"type":"string","format":"date-time"},"dataLavratura":{"type":"string","format":"date-time"},"id":{"type":"integer","format":"int64"},"nrProtocoloPolicia":{"type":"string"},"numero":{"type":"string"},"orgaoProcedimentoOriginario":{"$ref":"#/definitions/OrgaoProcedimentoOriginario"},"processo":{"$ref":"#/definitions/Processo"},"processoProcedimentoOrigemRetombado":{"$ref":"#/definitions/ProcessoProcedimentoOrigem"},"retombamentoRedistribuicao":{"type":"boolean"},"tipoOrigem":{"$ref":"#/definitions/TipoOrigem"},"tipoProcedimentoOrigem":{"$ref":"#/definitions/TipoProcedimentoOrigem"},"uf":{"type":"string"}},"title":"ProcessoProcedimentoOrigem"},"ProcessoProcedimentoOrigemDTO":{"type":"object","properties":{"ano":{"type":"integer","format":"int32"},"ativo":{"type":"boolean"},"codigoTribunal":{"type":"string"},"dataInstauracao":{"type":"string","format":"date-time"},"dataLavratura":{"type":"string","format":"date-time"},"id":{"type":"integer","format":"int64"},"nrProtocoloPolicia":{"type":"string"},"numero":{"type":"string"},"orgaoProcedimentoOriginario":{"$ref":"#/definitions/OrgaoProcedimentoOriginario"},"processo":{"$ref":"#/definitions/Processo"},"processoProcedimentoOrigemRetombado":{"$ref":"#/definitions/ProcessoProcedimentoOrigemDTO"},"retombamentoRedistribuicao":{"type":"boolean"},"tipoOrigem":{"$ref":"#/definitions/TipoOrigem"},"tipoProcedimentoOrigem":{"$ref":"#/definitions/TipoProcedimentoOrigem"},"uf":{"type":"string"}},"title":"ProcessoProcedimentoOrigemDTO"},"Sort":{"type":"object","properties":{"sorted":{"type":"boolean"},"unsorted":{"type":"boolean"}},"title":"Sort"},"TipoDispositivo":{"type":"object","properties":{"alinea":{"type":"boolean"},"artigo":{"type":"boolean"},"ativo":{"type":"boolean"},"codigo":{"type":"string","enum":["ARTIGO","INCISO","PARAGRAFO","ALINEA"]},"codigoTribunal":{"type":"string"},"id":{"type":"integer","format":"int64"},"inciso":{"type":"boolean"},"paragrafo":{"type":"boolean"},"tipoDispositivo":{"type":"string"}},"title":"TipoDispositivo"},"TipoEventoCriminal":{"type":"object","required":["ativo","codTipoIc","descricao","exigeTipificacaoDelito"],"properties":{"ativo":{"type":"boolean"},"codTipoIc":{"type":"string","enum":["NULL","AAU","SEN","IND","OFD","ADD","ADQ","RCD","PRI","FUG","SOL","TRR","SAP","CQA","NRQ","SAI","SAS","SPR","SEI","SEP","DIS","CRQ","TRP","ETP","STP","ESP","SUS","SCO","SSP","RSP","DES","NRD","CIT","RAD","DEM","POP","RCP","ACA","DLC","HCD","LCJ","NPR","TRA","ARI","OFR","RCR","INT","SML","NRR","ADR","RAR","SIN","SEM","EVA","SMS","DEC","REM"]},"codigoTribunal":{"type":"string"},"descricao":{"type":"string"},"exigeTipificacaoDelito":{"type":"boolean"},"id":{"type":"integer","format":"int64"},"tipoProcesso":{"type":"string","enum":["CRI","INF","T"]}},"title":"TipoEventoCriminal"},"TipoInternacao":{"type":"object","required":["cdTipoInternacao"],"properties":{"ativo":{"type":"boolean"},"cdTipoInternacao":{"type":"string","enum":["PRO","EST","SAN"]},"dsTipoInternacao":{"type":"string"},"id":{"type":"integer","format":"int64"}},"title":"TipoInternacao"},"TipoNorma":{"type":"object","properties":{"ativo":{"type":"boolean"},"codigoTribunal":{"type":"string"},"id":{"type":"integer","format":"int64"},"tipoNorma":{"type":"string"}},"title":"TipoNorma"},"TipoOrigem":{"type":"object","required":["dsTipoOrigem","inObrigatorioNumeroOrigem"],"properties":{"ativo":{"type":"boolean"},"codigoTribunal":{"type":"string"},"dsTipoOrigem":{"type":"string"},"id":{"type":"integer","format":"int64"},"inObrigatorioNumeroOrigem":{"type":"boolean"},"tipoProcedimentoOrigemList":{"type":"array","items":{"$ref":"#/definitions/TipoProcedimentoOrigem"}}},"title":"TipoOrigem"},"TipoPrisao":{"type":"object","properties":{"ativo":{"type":"boolean"},"codigoTribunal":{"type":"string"},"id":{"type":"integer","format":"int64"},"tipoPrisao":{"type":"string"}},"title":"TipoPrisao"},"TipoProcedimentoOrigem":{"type":"object","required":["ativo","dsTipoProcedimento"],"properties":{"ativo":{"type":"boolean"},"codigoTribunal":{"type":"string"},"dsTipoProcedimento":{"type":"string"},"id":{"type":"integer","format":"int64"},"tipoOrigemList":{"type":"array","items":{"$ref":"#/definitions/TipoOrigem"}}},"title":"TipoProcedimentoOrigem"},"TipoRecurso":{"type":"object","properties":{"admissibilidadeRecurso":{"type":"boolean"},"ativo":{"type":"boolean"},"codigo":{"type":"string"},"codigoTribunal":{"type":"string"},"id":{"type":"integer","format":"int64"},"tipoRecurso":{"type":"string"}},"title":"TipoRecurso"},"TipoRemissao":{"type":"object","required":["cdTipoRemissao"],"properties":{"ativo":{"type":"boolean"},"cdTipoRemissao":{"type":"string","enum":["EXC","SUS","EXP"]},"dsTipoRemissao":{"type":"string"},"id":{"type":"integer","format":"int64"}},"title":"TipoRemissao"}}}